#include <stdio.h>

__device__ int powr(int x, int n) {
	int res = x;
	for (int i=n; i>1; --i)
		res *= x;
	return (n==0)?1:res;
}

__global__ void L(){
	if (threadIdx.x != 0 || blockIdx.x != 0)
		printf("%d powered to %d is: %d \n", threadIdx.x, blockIdx.x, powr(threadIdx.x, blockIdx.x));
}

int main() {
	L<<<8,16>>>();
	cudaDeviceSynchronize();
	return 0;
}
